VertexView.SizeHandle (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.VertexView.SizeHandle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class VertexView.SizeHandle

    java.lang.Object
      org.jgraph.graph.VertexView.SizeHandle

All Implemented Interfaces:
  CellHandle, Serializable

Enclosing class:
  VertexView

public static class VertexView.SizeHandle
extends Object
implements CellHandle, Serializable

See Also:
  Serialized Form

Field Summary
`protected Rectangle2D` | `cachedBounds`
`protected GraphContext` | `context`
`protected CellView[]` | `contextViews`
`int[]` | `cursors` Array that holds the cursors for the different control points.
`protected boolean` | `editing` True if the cell is being edited.
`protected boolean` | `firstDrag`
`protected boolean` | `firstOverlayInvocation`
`protected JGraph` | `graph`
`protected int` | `index`
`protected Rectangle2D` | `initialBounds`
`protected Graphics` | `offgraphics` Reference to graph off screen graphics
`protected CellView[]` | `portViews`
`protected Rectangle2D[]` | `r`
`protected VertexView` | `vertex`

Constructor Summary
`VertexView.SizeHandle(VertexView vertexview, GraphContext ctx)`

Method Summary
`protected Rectangle2D` | `computeBounds(MouseEvent event)`
`protected void` | `initOffscreen()`
`protected void` | `invalidate()`
`boolean` | `isConstrainedSizeEvent(MouseEvent e)`
`void` | `mouseDragged(MouseEvent event)` Process mouse dragged event.
`void` | `mouseMoved(MouseEvent event)` Invoked when the mouse pointer has been moved on a component (with no buttons down).
`void` | `mousePressed(MouseEvent event)` Process mouse pressed event.
`void` | `mouseReleased(MouseEvent e)` Messaged when the drag operation has terminated with a drop.
`void` | `overlay(Graphics g)` Paint the handle on the given graphics object during mouse operations.
`void` | `paint(Graphics g)` Paint the handle on the given graphics object once.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offgraphics

    protected transient Graphics offgraphics

  Reference to graph off screen graphics

### firstDrag

    protected transient boolean firstDrag

### graph

    protected transient JGraph graph

### vertex

    protected transient VertexView vertex

### portViews

    protected transient CellView[] portViews

### cachedBounds

    protected transient Rectangle2D cachedBounds

### context

    protected transient GraphContext context

### initialBounds

    protected transient Rectangle2D initialBounds

### contextViews

    protected transient CellView[] contextViews

### index

    protected transient int index

### r

    protected transient Rectangle2D[] r

### firstOverlayInvocation

    protected boolean firstOverlayInvocation

### cursors

    public transient int[] cursors

  Array that holds the cursors for the different control points.

### editing

    protected boolean editing

  True if the cell is being edited.

Constructor Detail

### VertexView.SizeHandle

    public VertexView.SizeHandle(VertexView vertexview,
                                 GraphContext ctx)

Method Detail

### isConstrainedSizeEvent

    public boolean isConstrainedSizeEvent(MouseEvent e)

### paint

    public void paint(Graphics g)

  Description copied from interface: `CellHandle`
  Paint the handle on the given graphics object once.

  Specified by:
    `paint` in interface `CellHandle`
  Parameters:
    `g` - the graphics object to paint the handle on

### initOffscreen

    protected void initOffscreen()

### overlay

    public void overlay(Graphics g)

  Description copied from interface: `CellHandle`
  Paint the handle on the given graphics object during mouse operations.

  Specified by:
    `overlay` in interface `CellHandle`
  Parameters:
    `g` - the graphics object to paint the handle on

### mouseMoved

    public void mouseMoved(MouseEvent event)

  Invoked when the mouse pointer has been moved on a component (with no buttons down).

  Specified by:
    `mouseMoved` in interface `CellHandle`
  Parameters:
    `event` - the mouse event to be processed

### mousePressed

    public void mousePressed(MouseEvent event)

  Process mouse pressed event.

  Specified by:
    `mousePressed` in interface `CellHandle`
  Parameters:
    `event` - the mouse event to be processed

### mouseDragged

    public void mouseDragged(MouseEvent event)

  Process mouse dragged event.

  Specified by:
    `mouseDragged` in interface `CellHandle`
  Parameters:
    `event` - the drag event to be processed

### computeBounds

    protected Rectangle2D computeBounds(MouseEvent event)

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Description copied from interface: `CellHandle`
  Messaged when the drag operation has terminated with a drop.

  Specified by:
    `mouseReleased` in interface `CellHandle`
  Parameters:
    `e` - the drop event to be processed

### invalidate

    protected void invalidate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.